function [A,b] = mkp1d(k,f,ua,ub,diskretizace)

n = length(diskretizace);

A = sparse(n,n);
b = zeros(n,1);

for l=1:n-1
    idxl = [l,l+1];
    Sl = diskretizace(idxl);
    
    Al = lok_matice_1d(k(l),Sl);
    A(idxl,idxl) = A(idxl,idxl) + Al;
    
    bl = lok_vektor_1d(f(l),Sl);
    b(idxl) = b(idxl) + bl; 
end

% uP = ua + (diskretizace-diskretizace(1)) * (ub-ua)/(diskretizace(n)-diskretizace(1));
% b = b - A*uP;
% 
% A(1,2) = 0;
% A(2,1) = 0;
% A(n,n-1) = 0;
% A(n-1,n) = 0;
% b(1) = 0;
% b(n) = 0;





% u(a) = ua
A(1,2) = 0;
b(1) = A(1,1)*ua;
b(2) = b(2) - A(2,1)*ua; % z duvodu
A(2,1) = 0;              % symetrie A

% u(b) = ub
A(n,n-1) = 0;
b(n) = A(n,n)*ub;
b(n-1) = b(n-1) - A(n-1,n)*ub; % z duvodu
A(n-1,n) = 0;                  % symetrie A
