function prikladGalerkin()

x = 0:0.01:1;
nx = length(x);
u = 0.5*x.*(1-x);
plot(x,u,'r');
pause

for n=1:50
    [A,b] = Galerkin(n);
    alfa = A\b;
    un = zeros(1,nx);
    for j=1:n
        un = un + alfa(j)*x.^j.*(1-x);
    end
    hold on
    plot(x,un,'b')
    log = sprintf('n = %d: alfa(1) = %0.15g, cond(A) = %g',n,alfa(1),cond(A));
    disp(log)
    pause
end
