function [uzly,troj,hruzly] = diskretizace_obdelniku(x0,x1,y0,y1,h)

x = x0:h:x1;
nx = length(x);
y = y0:h:y1;
ny = length(y);

n = nx*ny;
uzly = zeros(2,n);

m = 2*(nx-1)*(ny-1);
troj = zeros(3,m);

nhr = 2*(nx-1+ny-1);
hruzly = zeros(1,nhr);

idxuzlu = 1;
idxtroj = 1;
idxhruzlu = 1;

for i=1:nx
    for j=1:ny
        
        uzly(:,idxuzlu) = [x(i);y(j)];
        
        if i<nx && j<ny
            troj(:,idxtroj+[0;1]) = idxuzlu + [[0;ny;ny+1] [0;ny+1;1]];
            idxtroj = idxtroj+2;
        end
        
        if i==1 || i==nx || j==1 || j==ny
            hruzly(idxhruzlu) = idxuzlu;
            idxhruzlu = idxhruzlu + 1;
        end
        
        idxuzlu = idxuzlu+1;
    end
end
