function [A,b] = mkp(k,f,uzly,troj,hruzly)

n = size(uzly,2);
m = size(troj,2);
nH = length(hruzly);

A = sparse(n,n);
b = zeros(n,1);

for l=1:m
    idxl = troj(:,l);
    Tl = uzly(:,idxl);
    
    Al = lok_matice_laplace(k(l),Tl);
    A(idxl,idxl) = A(idxl,idxl) + Al;
    
    bl = lok_vektor(f(l),Tl);
    b(idxl) = b(idxl) + bl; 
end

for i=1:nH
    idx = hruzly(i);
    aii = A(idx,idx);
    A(idx,:) = 0;
    A(:,idx) = 0;
    A(idx,idx) = aii;
    b(idx) = 0;
end