function priklad_konvergence()

h = 0.25*[1,1/2,1/4,1/8,1/16,1/32];

for i=1:length(h)
    
    h(i)
    [uzly,troj,hruzly] = diskretizace_obdelniku(0,1,0,1,h(i));
    m = size(troj,2);
    
    
%     k = ones(1,m);
    f = ones(1,m);
    for j=1:m
        tezistej = sum(uzly(:,troj(:,j)),2)/3;
        if (tezistej(1)<0.5 && tezistej(2)<0.5) || (tezistej(1)>0.5 && tezistej(2)>0.5)
            k(j) = 1;
        else
            k(j) = 10;
        end
    end
    
    [A,b] = mkp(k,f,uzly,troj,hruzly);
    
    u{i} = A\b;
    n = length(u{i});
    
end

uref = u{length(h)}((n+1)/2);

for i=1:length(h)-1
    n(i) = length(u{i});
    err(i) = abs( u{i}((n(i)+1)/2) - uref );
end

plot(h(1:length(h)-1),err)
figure
plot(n(1:length(h)-1),err)

    